# Simple Integration

The simplest way to integrate the Firework One to One widget to your website is to add the following script immediately before Global `</head>`.

```javascript
<script async src="https://asset.fwscripts.com/js/live-helper.js" data-fwparam_chat_channel_id="[ChatChannelId]"></script>
<script>
  document.addEventListener('DOMContentLoaded', () => {
    setTimeout(() => {
      var n = document.createElement("fw-live-helper");
      document.body.appendChild(n);
    }, 0);
  });
</script>
```

***Note**: Please update the above snippet where it has `[ChatChannelId]` to the business's chat channel ID. The chat channel ID can be found on the business portal URL.*\
\
*Example: <https://business.fireworktv.com/business/5EROOo/chat\\_channel/**Q01bn6Y>\*\** \
\&#xNAN;*※: **Q01bn6Y** will be the chat channel ID*

You can control the visibility of the widget defining rules in the Firework Business Portal. You can read more about it [here](https://help.firework.com/set-one-to-one-widget-visibility).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-1-1/simple-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
